Debian Bug report logs - #642441
package ftbfs in unstable

version graph

Package: libxmpp-php; Maintainer for libxmpp-php is Daniel Watkins <daniel@daniel-watkins.co.uk>;

Reported by: Matthias Klose <doko@ubuntu.com>

Date: Thu, 22 Sep 2011 16:39:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version 0~svn53-1.1

Fixed in version 0~svn53-1.1+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#642441; Package libxmpp-php. (Thu, 22 Sep 2011 16:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Daniel Watkins <daniel@daniel-watkins.co.uk>. (Thu, 22 Sep 2011 16:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: package ftbfs in unstable
Date: Thu, 22 Sep 2011 18:38:23 +0200
Package: libxmpp-php
Version: 0~svn53-1.1
Severity: serious
Tags: sid wheezy

$ dpkg-buildpackage -b 2>&1 | tee ../log
dpkg-buildpackage: export CFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export CPPFLAGS from dpkg-buildflags (origin: vendor):
dpkg-buildpackage: export CXXFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export FFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export LDFLAGS from dpkg-buildflags (origin: vendor):
dpkg-buildpackage: source package libxmpp-php
dpkg-buildpackage: source version 0~svn53-1.1
dpkg-buildpackage: source changed by Marcelo Jorge Vieira (metal) <metal@debian.org>
 dpkg-source --before-build libxmpp-php-0~svn53
dpkg-buildpackage: host architecture i386
 fakeroot debian/rules clean
dpatch  deapply-all
03-remove-unwanted-test not applied to ./ .
02-fix-tests not applied to ./ .
01-line-endings not applied to ./ .
rm -rf patch-stamp patch-stampT debian/patched
dh clean
   dh_testdir
   dh_auto_clean
   dh_clean
 debian/rules build
make: Nothing to be done for `build'.
 fakeroot debian/rules binary
test -d debian/patched || install -d debian/patched
dpatch  apply-all
applying patch 01-line-endings to ./ ... ok.
applying patch 02-fix-tests to ./ ... ok.
applying patch 03-remove-unwanted-test to ./ ... ok.
dpatch  cat-all  >>patch-stampT
mv -f patch-stampT patch-stamp
phpunit tests/AllTests.php
PHP Warning:  require_once(PHP/CodeCoverage/Filter.php): failed to open stream:
No such file or directory in /usr/bin/phpunit on line 38
PHP Fatal error:  require_once(): Failed opening required
'PHP/CodeCoverage/Filter.php' (include_path='.:/usr/share/php:/usr/share/pear')
in /usr/bin/phpunit on line 38
make: *** [install] Error 255
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#642441; Package libxmpp-php. (Sun, 01 Jan 2012 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Daniel Watkins <daniel@daniel-watkins.co.uk>. (Sun, 01 Jan 2012 15:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 642441@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 642441@bugs.debian.org
Subject: phpunit bug (Re: package ftbfs in unstable)
Date: Mon, 2 Jan 2012 00:42:11 +0900
block 642441 607372
thanks

Hi,

 It seems not a bug libxmpp-php itself but a bug in phpunit.

>> PHP Warning:  require_once(PHP/CodeCoverage/Filter.php): failed to open stream:
>> No such file or directory in /usr/bin/phpunit on line 38

 It is called by phpunit package, however, there is not such file in that.

> henrich@hp:/tmp/phpunit-3.5.5$ find . -name Filter.php -print
> ./PHPUnit-3.5.5/PHPUnit/Util/Filter.php
> henrich@hp:/tmp/phpunit-3.5.5$ apt-file show phpunit|grep Filter.php
> phpunit: /usr/share/php/PHPUnit/Util/Filter.php

 If it would call Filter.php, it should be as PHPUnit/Utils/Filter.php.
 And if it would be fixed with a patch, then another bug is there.

> phpunit tests/AllTests.php
> PHP Warning:  require_once(File/Iterator/Factory.php): failed to open stream: No such file or directory in /usr/share/php/PHPUnit/Util/Filter.php on line 46
> PHP Fatal error:  require_once(): Failed opening required 'File/Iterator/Factory.php' (include_path='.:/usr/share/php:/usr/share/pear') in /usr/share/php/PHPUnit/Util/Filter.php on line 46

 it is caused by below line in Filter.php in 3.5.x

>>require_once 'PHPUnit/File/Iterator/Factory.php';
 
 However, there is no such file in _any_ package now, and its line has been
 deleted in recent upstream version.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 04 Mar 2012 11:02:02 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@ubuntu.com>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 11:02:07 GMT) Full text and rfc822 format available.

Message #15 received at 642441-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 642441-done@bugs.debian.org,
Cc: libxmpp-php@packages.debian.org, libxmpp-php@packages.qa.debian.org
Subject: Bug#662065: Removed package(s) from unstable
Date: Sun, 04 Mar 2012 10:58:21 +0000
Version: 0~svn53-1.1+rm

Dear submitter,

as the package libxmpp-php has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/662065

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Apr 2012 07:39:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:35:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.